Skip to main content
POST
/
v1
/
platform
/
compliance
/
kyc
Submit KYC Check
curl --request POST \
  --url https://api.sandbox.finogates.com/v1/platform/compliance/kyc \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "provider_code": "persona"
}
'
{
  "status_code": 123,
  "data": "<unknown>",
  "query_generated_time": 123
}

Documentation Index

Fetch the complete documentation index at: https://developer.finogates.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Submit a KYC compliance check for a user.

user_id
string<uuid>
required

UUID of the user to verify.

Example:

"b3a9b622-cc63-4d3c-aad6-2d8e29e6f9d4"

provider_code
string | null

Provider code to use. If omitted the platform default KYC provider is used.

Maximum string length: 50
Example:

"persona"

Response

Successful Response

Standard response wrapper for single-object responses and errors.

status_code
integer
required

HTTP status code for the response.

data
any
required

Payload or error details.

query_generated_time
integer
required

UTC timestamp (milliseconds since epoch) when response was generated.